Bug 1905891 - genericapiserver library must wait for server.Shutdown
Summary: genericapiserver library must wait for server.Shutdown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.z
Assignee: Lukasz Szaszkiewicz
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On: 1847927
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-09 09:29 UTC by Lukasz Szaszkiewicz
Modified: 2021-02-03 10:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-03 10:11:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25293 0 None closed Bug 1905891: genericapiserver waits for server.Shutdown 2021-02-01 18:29:33 UTC
Red Hat Product Errata RHSA-2021:0281 0 None None None 2021-02-03 10:12:28 UTC

Description Lukasz Szaszkiewicz 2020-12-09 09:29:29 UTC
The genericapiserver library must wait until server.Shutdown completes so that connections are gracefully shutdown.

Previously there was a race between shutting down a process (server) and closing connections. That might have resulted in some connections not being properly closed on a TCP level.



This BZ doesn't require QE tests since the graceful shutdown is still broken on 4.4 because it requires a fix in the net/http2 library.

Comment 1 Lukasz Szaszkiewicz 2021-01-15 09:59:48 UTC
PR in the merge queue.

Comment 2 Alex Crawford 2021-01-21 00:22:28 UTC
4.4 is in the maintenance phase of its life, so only high- and urgent-severity fixes are being merged. If this truly needs to be merged, the severity needs to be increased, otherwise we should just close this with WONTFIX.

Comment 3 Lukasz Szaszkiewicz 2021-01-21 08:59:50 UTC
Hi Alex, bumping the priority to high since this issue affects graceful shutdown of the servers which is important for upgrades.

Comment 5 Xingxing Xia 2021-01-26 06:57:14 UTC
Going through the PR code, per comment 0 and communication in Slack about this bug, this bug needs not QE test. 4.4.0-0.nightly-2021-01-25-064916 includes the PR, the payload page of it shows good "Succeeded" results under "Tests:", thus moving to VERIFIED directly, skipping manually installing an env with extra basic test.

Comment 8 errata-xmlrpc 2021-02-03 10:11:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.4.33 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0281


Note You need to log in before you can comment on or make changes to this bug.